Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class EntryDetails6

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.EntryDetails6

    public class EntryDetails6
    extends java.lang.Object

Java class for EntryDetails6 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EntryDetails6">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Btch" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BatchInformation2" minOccurs="0"/>
             <element name="TxDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}EntryTransaction7" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected BatchInformation2` `btch`
`protected java.util.List<EntryTransaction7>` `txDtls`

### Constructor Summary

Constructors
`EntryDetails6()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchInformation2` `getBtch()` Gets the value of the btch property.
`java.util.List<EntryTransaction7>` `getTxDtls()` Gets the value of the txDtls property.
`void` `setBtch​(BatchInformation2 value)` Sets the value of the btch property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### btch

    protected BatchInformation2 btch

#### txDtls

    protected java.util.List<EntryTransaction7> txDtls

### Constructor Detail

#### EntryDetails6

    public EntryDetails6()

### Method Detail

#### getBtch

    public BatchInformation2 getBtch()

Gets the value of the btch property.

Returns:
  possible object is `BatchInformation2`

#### setBtch

    public void setBtch​(BatchInformation2 value)

Sets the value of the btch property.

Parameters:
  `value` - allowed object is `BatchInformation2`

#### getTxDtls

    public java.util.List<EntryTransaction7> getTxDtls()

Gets the value of the txDtls property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the txDtls property.

For example, to add a new item, do as follows:

        getTxDtls().add(newItem);

Objects of the following type(s) are allowed in the list `EntryTransaction7`